package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkBillListRequest struct {
	/*
	   入参     */
	TxdBillListGetRequest *domain.AlibabaWdkBillListTxdBillListGetRequest `json:"txd_bill_list_get_request" required:"true" `
}

func (s *AlibabaWdkBillListRequest) SetTxdBillListGetRequest(v domain.AlibabaWdkBillListTxdBillListGetRequest) *AlibabaWdkBillListRequest {
	s.TxdBillListGetRequest = &v
	return s
}

func (req *AlibabaWdkBillListRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.TxdBillListGetRequest != nil {
		paramMap["txd_bill_list_get_request"] = util.ConvertStruct(*req.TxdBillListGetRequest)
	}
	return paramMap
}

func (req *AlibabaWdkBillListRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
